LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Slackware (https://www.linuxquestions.org/questions/slackware-14/)
-   -   Unable to connect to OpenVPN server on current. Also, unable to build NetworkManager-openvpn (https://www.linuxquestions.org/questions/slackware-14/unable-to-connect-to-openvpn-server-on-current-also-unable-to-build-networkmanager-openvpn-4175657699/)

The_Dark_Passenger 07-19-2019 01:07 PM

Unable to connect to OpenVPN server on current. Also, unable to build NetworkManager-openvpn
 
Hello,

I am running the most up to date version of Slackware64 -current, however I am unable to connect to OpenVPN networks using NetworkManager.

I have version 1.8.6 of the NetworkManager-openvpn plugin installed from a previous time I built it. However, if I try to rebuild it, or build 1.8.10 it fails saying:
Code:

checking for LIBNM_GTK... no
configure: error: Package requirements (libnm-gtk >= 1.7.0) were not met:

No package 'libnm-gtk' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables LIBNM_GTK_CFLAGS
and LIBNM_GTK_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.

When I try to connect to an OpenVPN server using NetworkManager it fails saying "The service providing the OpenVPN connection was stopped."

Here is the log output in the system messages.
Code:

Jul 19 14:05:23 Canned nm-openvpn[22059]: OpenVPN 2.4.7 x86_64-slackware-linux-gnu [SSL (OpenSSL)] [LZO] [LZ4] [EPOLL] [MH/PKTINFO] [AEAD] built on Feb 20 2019
Jul 19 14:05:23 Canned nm-openvpn[22059]: library versions: OpenSSL 1.1.1c  28 May 2019, LZO 2.10
Jul 19 14:05:23 Canned nm-openvpn[22059]: Exiting due to fatal error
Jul 19 14:05:23 Canned NetworkManager[2733]: <info>  [1563559523.9602] vpn-connection[0xf7a2e0,c4ee9854-7afa-4f1e-9d68-63fff6beeff4,"client1_201906152248",0]: VPN plugin: state changed: stopping (5)
Jul 19 14:05:23 Canned NetworkManager[2733]: <info>  [1563559523.9603] vpn-connection[0xf7a2e0,c4ee9854-7afa-4f1e-9d68-63fff6beeff4,"client1_201906152248",0]: VPN plugin: state changed: stopped (6)
Jul 19 14:05:23 Canned NetworkManager[2733]: <info>  [1563559523.9613] vpn-connection[0xf7a2e0,c4ee9854-7afa-4f1e-9d68-63fff6beeff4,"client1_201906152248",0]: VPN service disappeared

I did notice another thread regarding OpenVPN connections failing, and build failures for the OpenVPN plugin here https://www.linuxquestions.org/quest...ml#post5873813

However, I don't see anyone having resolved the issue in that thread. Is this issue resolved? Is it possible to begin connecting to OpenVPN servers again using NetworkManager?

The version of KDE I am running is 4.14.38.

volkerdi 07-19-2019 05:44 PM

Quote:

Originally Posted by The_Dark_Passenger (Post 6016719)
checking for LIBNM_GTK... no
configure: error: Package requirements (libnm-gtk >= 1.7.0) were not met:

No package 'libnm-gtk' found

Try adding --without-libnm-gtk to the ./configure options.

The_Dark_Passenger 07-19-2019 05:51 PM

Thanks Pat for the reply. After further tinkering with this it actually appears it may have been an issue with the OpenVPN profile itself causing an issue. As I was just now able to try a configuration from another OpenVPN server that worked. I'll continue trying to figure out what's going on with the OpenVPN profile.


All times are GMT -5. The time now is 01:23 PM.